Bug 244013 - Some SELinux errors for HAL 0.5.10
Some SELinux errors for HAL 0.5.10
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 07:36 EDT by Bastien Nocera
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-10 10:42:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-06-13 07:36:54 EDT
Here goes:

Jun 13 12:26:03 snoogens setroubleshoot:      SELinux is preventing
/usr/sbin/hald (hald_t) "read" to mdstat (proc_mdstat_t).      For complete
SELinux messages. run sealert -l 93715ad2-1efa-4941-9688-b5fa4cb0eea6
Jun 13 12:26:03 snoogens setroubleshoot:      SELinux is preventing
/usr/sbin/hald (hald_t) "getattr" to /proc/mdstat (proc_mdstat_t).      For
complete SELinux messages. run sealert -l fde4b89b-78ed-4049-beb2-d868b95ee7d2
Jun 13 12:26:03 snoogens setroubleshoot:      SELinux is preventing
/usr/bin/hal-setup-keymap (hald_t) "write" to event1 (event_device_t).      For
complete SELinux messages. run sealert -l 912a1f88-d843-433e-90ae-6d79d2dea394

avc: denied { read } for comm="hald" dev=proc egid=0 euid=0 exe="/usr/sbin/hald"
exit=12 fsgid=0 fsuid=0 gid=0 items=0 name="mdstat" pid=4569
scontext=user_u:system_r:hald_t:s0 sgid=0 subj=user_u:system_r:hald_t:s0 suid=0
tclass=file tcontext=system_u:object_r:proc_mdstat_t:s0 tty=(none) uid=0

avc: denied { getattr } for comm="hald" dev=proc egid=0 euid=0
exe="/usr/sbin/hald" exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="mdstat"
path="/proc/mdstat" pid=4569 scontext=user_u:system_r:hald_t:s0 sgid=0
subj=user_u:system_r:hald_t:s0 suid=0 tclass=file
tcontext=system_u:object_r:proc_mdstat_t:s0 tty=(none) uid=0

avc: denied { write } for comm="hal-setup-keyma" dev=tmpfs egid=0 euid=0
exe="/usr/bin/hal-setup-keymap" exit=4 fsgid=0 fsuid=0 gid=0 items=0
name="event1" pid=4583 scontext=user_u:system_r:hald_t:s0 sgid=0
subj=user_u:system_r:hald_t:s0 suid=0 tclass=chr_file
tcontext=system_u:object_r:event_device_t:s0 tty=(none) uid=0

Let me know you need more info.
Comment 1 Daniel Walsh 2007-06-14 08:34:07 EDT
Has this release been pulled?

 koji latest-pkg dist-f8 hal
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
hal-0.5.9-8.fc7                           dist-fc7              hadess
Comment 2 Bastien Nocera 2007-06-14 09:00:13 EDT
(In reply to comment #1)
> Has this release been pulled?

0.5.10 is the coming version, in development. I thought I'd be proactive instead
of reactive :)

I can point you to an RPM if you need one for testing.
Comment 3 Daniel Walsh 2007-06-14 09:20:32 EDT
Yes I need it to write a policy for /usr/bin/hal-setup-keymap
Comment 4 Bastien Nocera 2007-06-14 10:45:36 EDT
Test RPMs:
http://people.freedesktop.org/~hughsient/fedora/
Comment 5 David Zeuthen 2007-06-14 16:29:15 EDT
Bastien, thanks for being proactive. Dan, any chance the policy could live in
the hal tarball? Then it'd be a lot easier for me to fix instead of playing
ping-pong...
Comment 6 Daniel Walsh 2007-06-14 16:33:34 EDT
We can try and see what happens.

Note You need to log in before you can comment on or make changes to this bug.